Package org.eclipse.birt.report.engine.api

# Interface IReportEngineFactory

public interface IReportEngineFactory
a factory used to create the Report Engine.

See Also:
  - invalid reference

        ReportRunner for the usage.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXTENSION_REPORT_ENGINE_FACTORY`
the extension point used to create the factory object.

## Method Summary

Modifier and Type
Method
Description
`IReportEngine`
`createReportEngine(EngineConfig config)`
create a new report engine object.

## Field Details

### EXTENSION_REPORT_ENGINE_FACTORY

static final String EXTENSION_REPORT_ENGINE_FACTORY
the extension point used to create the factory object.

See Also:
  - `Platform.createFactoryObject(String)`
  - Constant Field Values

## Method Details

### createReportEngine

IReportEngine createReportEngine(EngineConfig config)
create a new report engine object.

Parameters:
  `config` - config used to create the report engine.
Returns:
  the report engine object